<!-- Space: qifu -->
<!-- Parent: 后端技术&知识&规范 -->
<!-- Parent: 技术方案 -->
<!-- Parent: 基建 -->
<!-- Parent: 01-发布文档 -->
<!-- Title: 20250613-派送翼对接发布 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->

# 派送翼对接发布

## 发布说明

### 涉及项目

| 项目               | 分支                                 | 发布顺序 | 数据库变更                 | 配置变更                    | 负责人 | 备注                         |
|------------------|------------------------------------|------|-----------------------|-------------------------|-----|----------------------------|
| yuanmeng-engine  | feat/20250520-starter-mybatis-plus | 1    |                       |                         | 刘晓华 | 升级 2.0.0                   |
| qifu-saas-parent | feat/20250520-starter-mybatis-plus | 2    |                       |                         | 刘晓华 | 升级 2.0.0                   |
| yuanmeng-engine  | feat/20250605-2.0.1                | 3    |                       |                         | 刘晓华 | 升级 2.0.1 兼容 1.1.3 版本内容     |
| qifu-saas-parent | feat/20250605-2.0.1                | 4    |                       |                         | 刘晓华 | 升级 2.0.1 兼容 1.1.3 版本内容     |
| qifu-saas-eg     | master                             | 5    | [数据库脚本DDL](#数据库脚本DDL) | [Nacos配置文件](#Nacos配置文件) | 刘晓华 | 注意配置文件中需要修改的部分需要修改为对应环境的数据 |

### 附件

#### 数据库脚本DDL

##### qifu-saas-eg数据库DDL

```sql
CREATE TABLE `eg_express_agent_shipping`
(
    `id`                     bigint(20)  NOT NULL AUTO_INCREMENT,
    `channel`                varchar(20) NOT NULL COMMENT '渠道编码',
    `company`                varchar(50) NOT NULL COMMENT '公司编码',
    `biz_type`               int(4)      NOT NULL DEFAULT '1' COMMENT '业务类型：1=出库单',
    `biz_code`               varchar(50) NOT NULL DEFAULT '' COMMENT '业务编码',
    `order_no`               varchar(50) NOT NULL DEFAULT '' COMMENT 'Keyfil平台单号',
    `status`                 int(4)      NOT NULL DEFAULT '1' COMMENT '下单状态：1=待下单，2=已下单，3=已确认，4=已扫描，5=已取消',
    `receiver`               text COMMENT '收件人信息',
    `sender`                 text COMMENT '发件人信息',
    `package_list`           text COMMENT '包裹信息列表',
    `package_count`          int(4)      NOT NULL DEFAULT '1' COMMENT '包裹数量',
    `attach_info`            text COMMENT '附加信息',
    `out_order_no`           varchar(50) NOT NULL DEFAULT '' COMMENT '外部一键代发单号',
    `tracking_no`            varchar(50) NOT NULL DEFAULT '' COMMENT '外部追踪号',
    `child_tracking_no_list` text COMMENT '如果多包裹下单，子包裹的跟踪号列表',
    `main_track_number_list` text COMMENT '如果拆单，主单号集合列表',
    `ups_tracking_number`    varchar(50)          DEFAULT NULL COMMENT 'ups tracking number',
    `label_list`             text COMMENT '标签列表',
    `pdf`                    varchar(255)         DEFAULT NULL COMMENT 'pdf',
    `create_user_id`         bigint(20)  NOT NULL DEFAULT '0' COMMENT '创建人ID',
    `create_by`              varchar(32) NOT NULL DEFAULT '' COMMENT '创建人名称',
    `create_time`            bigint(20)  NOT NULL COMMENT '创建时间',
    `update_user_id`         bigint(20)  NOT NULL DEFAULT '0' COMMENT '更新人id',
    `update_by`              varchar(32) NOT NULL DEFAULT '' COMMENT '更新人名称',
    `update_time`            bigint(20)  NOT NULL DEFAULT '0' COMMENT '更新时间',
    `deleted`                bigint(20)  NOT NULL DEFAULT '0' COMMENT '是否删除：0=否，id=是',
    PRIMARY KEY (`id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4 COMMENT ='一键代发下单表';

ALTER TABLE `eg_order_app_seller`
    ADD COLUMN `state` int(2) NOT NULL DEFAULT 1 COMMENT '状态：1=启用，2=禁用' AFTER `refresh_token_expires_time`;

ALTER TABLE `eg_order_app_seller`
    ADD COLUMN `warehouse_list` text NULL COMMENT '仓库列表' AFTER `state`;
```

##### qifu-saas-eg数据库DML

```sql
INSERT INTO `eg_express_company_mapping` (`channel`, `code`, `out_code`, `cn_name`, `us_name`,
                                          `out_cn_name`, `out_us_name`, `create_user_id`,
                                          `create_by`, `create_time`, `update_user_id`, `update_by`,
                                          `update_time`, `deleted`)
VALUES ('pse', 'usps', '816', 'usps', 'usps', 'usps', 'usps', 1383729, '刘晓华', 1749190963, 1383729, '刘晓华',
        1749190963, 0);

```

#### Nacos配置文件 (开发测试)

```yaml
qifu:
  eg:
    pse:
      customer-code: 1546
      app-key: 0RgcddvQdelOc3KbVsDSfprWWfI17IAL
      
yuanmeng:
  mybatis-plus:
    interceptor:
      tenant-line:
        include-mode: true
    meta-inject:
      fill-update-on-insert: true

decorator:
  datasource:
    enabled: true
```

### 其余配置

#### 开发者平台配置

----

## 开发说明
- [X] 添加派送翼对接
- [X] 升级父依赖为 2.0.0
- [X] 修改一些电商 RPC 接口
- [X] 电商联调完善

### 功能列表


