<!-- Space: qifu -->
<!-- Parent: 后端技术&知识&规范 -->
<!-- Parent: 技术方案 -->
<!-- Parent: 基建 -->
<!-- Parent: 00-基础组件 -->
<!-- Title: 00-元盟核心包说明 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->

# 元盟核心包说明

## 核心包 2.X 已发布
- 核心包 `2.0.0-SNAPSHOT` 已经发布，请按下面教程体验最新版本
- [新项目快速构建使用](http://confluence.qifu.com/pages/viewpage.action?pageId=38516376)
- [旧项目引入新模块指南](http://confluence.qifu.com/pages/viewpage.action?pageId=38516422)
- [各个模块功能特性列表](#engine-starter-组件说明)

-----

## 核心包结构

- [X] dependencies `依赖版本管理`
- [X] doc `文档`
- [ ] engine-archetype `maven 骨架项目` `规划中`
  - [ ] engine-archetype-ddd `DDD 项目骨架`
  - [ ] engine-archetype-simple `简单项目骨架`
  - [X] engine-archetype-web `常用 web 项目骨架`
- [X] ~~engine-cache `分布式锁`~~ **<font color="red">已废弃，该模块不再维护。</font>** <font color="green">新功能会维护在
  `engine-starter-redis` 中</font>
  - [X] ~~engine-cache-lock~~
  - [X] ~~cache-redis-lettuce~~
  - [X] ~~cache-spring-boot-starter~~
- [X] engine-common
  - [X] ~~common-core `基础包`~~ **<font color="red">已废弃，该模块不再维护。</font>** <font color="green">新功能会维护在
    `engine-common-model` 和 `engine-common-util` 中</font>
  - [X] engine-common-model `新基础包`
  - [X] engine-common-util `新基础工具包`
- [X] engine-compatible `兼容包`
  - [X] engine-starter-compatible-all `所有模块兼容` 具体看下面说明
  - [X] engine-starter-compatible-feign `微服务调用兼容` 处理 `engine-starter-feign` 和 `web-core` 的兼容问题
  - [X] engine-starter-compatible-mybatis-plus `ORM兼容` 处理 `engine-starter-mybatis-plus` 和 `data-mybatis-plus`
    的兼容问题
  - [X] engine-starter-compatible-web `web服务兼容` 处理 `engine-starter-web` 和 `web-core` 及 `oauth2-core` 的兼容问题
- [X] ~~engine-data `ORM 包`~~ **<font color="red">已废弃，该模块不再维护。</font>** <font color="green">新功能会维护在
  `engine-starter-mybatis-plus` 中</font>
  - [X] ~~data-core~~
  - [X] ~~data-mybatis-plus~~
- [X] ~~engine-oauth2~~ **<font color="red">已废弃，该模块不再维护。</font>** <font color="green">新功能会维护在
  `engine-starter-web` 中</font>
  - [X] ~~oauth2-core~~
- [X] engine-sample `使用样例库`
  - [X] engine-sample-starter-mybatis-plus `engine-starter-mybatis-plus` 使用样例
  - [X] engine-sample-starter-redis `engine-starter-redis` 使用样例
  - [X] engine-sample-starter-web `engine-starter-web` 及 `engine-starter-feign` 使用样例
- [X] engine-starter `基础STARTER组件库`
  - [X] engine-starter-feign `OpenFeign` 微服务调用通用功能封装
  - [X] engine-starter-mybatis-plus `MybatisPlus` ORM框架通用功能封装
  - [ ] engine-starter-oss `OSS` 对象存储服务通用功能封装
  - [X] engine-starter-redis `Redis` 通用功能封装
  - [ ] engine-starter-rocketmq `RocketMQ` 通用功能封装
  - [X] engine-starter-seata `Seata` 通用功能封装
  - [ ] engine-starter-sso `内部企微单点登录` 通用封装
  - [X] engine-starter-web `Web服务` 通用功能封装
- [X] ~~engine-web~~ **<font color="red">已废弃，该模块不再维护。</font>** <font color="green">新功能会维护在
  `engine-starter-web` 和 `engine-starter-feign` 中</font>
  - [X] ~~web-core~~

## engine-starter 组件说明

- [EngineStarter引入指南](http://confluence.qifu.com/pages/viewpage.action?pageId=38516422)
- [engine-starter-feign 使用教程](http://confluence.qifu.com/pages/viewpage.action?pageId=38516398)
- [engine-starter-mybatis-plus 使用教程](http://confluence.qifu.com/pages/viewpage.action?pageId=38516400)
- [engine-starter-oss 使用教程](http://confluence.qifu.com/pages/viewpage.action?pageId=38516410)
- [engine-starter-redis 使用教程](http://confluence.qifu.com/pages/viewpage.action?pageId=38516402)
- [engine-starter-rocketmq 使用教程](http://confluence.qifu.com/pages/viewpage.action?pageId=38516407)
- [engine-starter-seata 使用教程](http://confluence.qifu.com/pages/viewpage.action?pageId=38516405)
- [engine-starter-web 使用教程](http://confluence.qifu.com/pages/viewpage.action?pageId=38516396)
